"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ParamType = exports.HTTPResponse = exports.HTTPMethod = void 0;
var HTTPMethod;
(function (HTTPMethod) {
    HTTPMethod["Get"] = "GET";
    HTTPMethod["Post"] = "POST";
    HTTPMethod["Put"] = "PUT";
    HTTPMethod["Patch"] = "PATCH";
    HTTPMethod["Delete"] = "DELETE";
})(HTTPMethod = exports.HTTPMethod || (exports.HTTPMethod = {}));
var HTTPResponse;
(function (HTTPResponse) {
    HTTPResponse[HTTPResponse["Success"] = 200] = "Success";
    HTTPResponse[HTTPResponse["Created"] = 201] = "Created";
    HTTPResponse[HTTPResponse["NoContent"] = 204] = "NoContent";
    HTTPResponse[HTTPResponse["BadRequest"] = 400] = "BadRequest";
    HTTPResponse[HTTPResponse["Unauthorized"] = 401] = "Unauthorized";
    HTTPResponse[HTTPResponse["Forbidden"] = 403] = "Forbidden";
    HTTPResponse[HTTPResponse["NotFound"] = 404] = "NotFound";
    HTTPResponse[HTTPResponse["MethodNotAllowed"] = 405] = "MethodNotAllowed";
    HTTPResponse[HTTPResponse["UnprocessableEntity"] = 422] = "UnprocessableEntity";
})(HTTPResponse = exports.HTTPResponse || (exports.HTTPResponse = {}));
var ParamType;
(function (ParamType) {
    ParamType[ParamType["Route"] = 0] = "Route";
    ParamType[ParamType["Body"] = 1] = "Body";
    ParamType[ParamType["Query"] = 2] = "Query";
})(ParamType = exports.ParamType || (exports.ParamType = {}));
